package cn.reghao.autodop.dmaster.app.db.crud.config.impl;

import cn.reghao.autodop.dmaster.app.db.crud.config.CompilerConfigCrud;
import cn.reghao.autodop.dmaster.app.db.repository.config.build.CompilerConfigRepository;
import cn.reghao.autodop.dmaster.app.model.po.config.build.CompilerConfig;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author reghao
 * @date 2020-11-10 21:58:00
 */
@Service
public class CompilerConfigCrudImpl implements CompilerConfigCrud {
    private final CompilerConfigRepository compilerRepository;

    public CompilerConfigCrudImpl(CompilerConfigRepository compilerRepository) {
        this.compilerRepository = compilerRepository;
    }

    @Override
    public CompilerConfig save(CompilerConfig compilerConfig) {
        compilerRepository.save(compilerConfig);
        return compilerConfig;
    }

    @Override
    public void saveAll(List<CompilerConfig> list) {
        compilerRepository.saveAll(list);
    }

    @Override
    public void update(CompilerConfig compilerConfig) {
        compilerRepository.save(compilerConfig);
    }

    @Override
    public void delete(CompilerConfig compilerConfig) {
        compilerRepository.delete(compilerConfig);
    }
}
